summaryrefslogtreecommitdiff
path: root/tests/install/create-leading
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-02-27 14:27:13 +0000
committerJim Meyering <jim@meyering.net>2000-02-27 14:27:13 +0000
commit759591ae5138a97004c9b65b8357d8246dc97cd3 (patch)
treead8ff91686ae1ccec32c5e9ed62d0e93688e5991 /tests/install/create-leading
parentbb8bb211a1c7d6c1993ed1723560ce45394f1c7b (diff)
downloadcoreutils-759591ae5138a97004c9b65b8357d8246dc97cd3.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/install/create-leading')
-rwxr-xr-xtests/install/create-leading41
1 files changed, 41 insertions, 0 deletions
diff --git a/tests/install/create-leading b/tests/install/create-leading
new file mode 100755
index 000000000..7e9f3ade2
--- /dev/null
+++ b/tests/install/create-leading
@@ -0,0 +1,41 @@
+#! /bin/sh
+# Test -D option.
+# Note that the tests below use `ginstall', not install, because
+# that's the name of the binary in ../../src.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ ginstall --version
+fi
+
+pwd=`pwd`
+dir=install-D$$
+
+trap "cd $pwd; rm -rf $dir" 0 1 2 3 15
+
+mkdir $dir
+unset VERSION_CONTROL SIMPLE_BACKUP_SUFFIX
+
+if test "${VERSION_CONTROL+set}" = set; then
+ echo '$0: the VERSION_CONTROL envvar is set --' \
+ ' unset it and rerun this test' >&2
+ exit 1
+fi
+
+if test "${SIMPLE_BACKUP_SUFFIX+set}" = set; then
+ echo '$0: the SIMPLE_BACKUP_SUFFIX envvar is set --' \
+ ' unset it and rerun this test' >&2
+ >&2
+ exit 1
+fi
+
+fail=0
+cd $dir
+file=file
+echo foo > $file
+ginstall -D $file no-dir || fail=1
+find
+test -d no-dir || fail=1
+test -r no-dir/$file || fail=1
+
+exit $fail